.event-registration-form {
  box-sizing: border-box;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: auto;
  width: 100%;
  border-radius: 1.2rem;
  background-color: var(--creme);
  padding: 2.4rem;
}

@media (min-width: 1024px) {
  .event-registration-form {
    margin-top: 16rem;
  }
}

.form-title {
  font-family: seasons-bold, sans-serif;
  font-size: 2.4rem;
  line-height: 1.4;
  margin-bottom: 2.4rem;
}

.form-group {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  gap: 0.6rem;
  margin-bottom: 2.4rem;
}

.form-group-no-marbo-extend-martop {
  margin: 2.4rem 0 0 0;
}

.form-label {
  font-weight: 700;
}

.form-input {
  box-sizing: border-box;
  width: 100%;
  font-family: quicksand, sans-serif;
  font-size: 1.6rem;
  font-weight: 400;
  padding: 1.2rem;
  outline: none;
  border: none;
  border-radius: 0.8rem;
  color: var(--black);
  background-color: var(--white);
  transition: all 0.5s ease-in-out;
}

.form-input-inverted {
  color: var(--black);
  background-color: var(--creme);
}

.form-input:focus {
  box-shadow: 0 0 0.6rem 0 var(--shadow-light);
}

.form-input::placeholder {
  color: var(--black);
  opacity: 1; /* Ensures full opacity */
}

/* For cross-browser support: */
.form-input::-webkit-input-placeholder {
  color: var(--black);
  opacity: 1;
}
.form-input::-moz-placeholder {
  color: var(--black);
  opacity: 1;
}
.form-input:-ms-input-placeholder {
  color: var(--black);
  opacity: 1;
}
.form-input::-ms-input-placeholder {
  color: var(--black);
  opacity: 1;
}

.form-dropdown-wrapper {
  position: relative;
  width: 100%;
}

.form-dropdown {
  box-sizing: border-box;
  width: 100%;
  font-family: quicksand, sans-serif;
  font-size: 1.6rem;
  font-weight: 400;
  padding: 1.2rem 2.4rem 1.2rem 1.2rem;
  cursor: pointer;
  outline: none;
  border: none;
  border-radius: 0.8rem;
  color: var(--black);
  background-color: var(--white);
  transition: all 0.5s ease-in-out;
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
}

.form-dropdown:focus {
  box-shadow: 0 0 0.6rem 0 var(--shadow-light);
}

.form-dropdown-arrow {
  position: absolute;
  top: 50%;
  right: 1.2rem;
  transform: translateY(-50%) rotate(0deg);
  height: 2.4rem;
  width: 2.4rem;
  pointer-events: none;
  color: var(--black);
  transition: all 0.5s ease-in-out;
}

.form-dropdown:focus + .form-dropdown-arrow {
  transform: translateY(-50%) rotate(180deg);
}

.form-radio-group {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  gap: 1.2rem;
}

.form-radio-label {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  gap: 0.8rem;
  font-weight: 400;
  cursor: pointer;
}

/* Hide the native radio input */
.form-radio-input {
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  width: 2.4rem;
  height: 2.4rem;
  margin: 0;
  border-radius: 100rem;
  border: none;
  background: var(--white);
  transition: all 0.5s ease-in-out;
  box-shadow: 0 0 0 0 transparent;
  position: relative;
  cursor: pointer;
  outline: none;
}

/* Custom checked state */
.form-radio-input:checked {
  box-shadow: 0 0 0.6rem 0 var(--shadow-light);
}

/* Custom inner dot */
.form-radio-input::after {
  content: "";
  display: block;
  width: 1.2rem;
  height: 1.2rem;
  border-radius: 100rem;
  background-color: var(--black);
  opacity: 0;
  margin: 0.6rem;
  transition: all 0.5s ease-in-out;
}

.form-radio-input:checked::after {
  opacity: 1;
}

/* Focus state */
.form-radio-input:focus {
  border-color: var(--primary, #b48a78);
  box-shadow:
    0 0 0.6rem 0 var(--primary, #b48a78),
    0 0 0 2px var(--primary, #b48a78, 0.2);
}

.form-checkbox-group {
  display: grid;
  grid-template-columns: auto 1fr;
  grid-template-rows: auto auto;
  justify-content: start;
  justify-items: start;
  align-content: center;
  align-items: center;
  column-gap: 0.8rem;
  row-gap: 2.4rem;
}

.form-checkbox-input-wrapper {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr;
  justify-content: center;
  justify-items: center;
  align-content: center;
  align-items: center;
}

.form-checkbox-input-wrapper input[type="checkbox"] {
  grid-column: 1;
  grid-row: 1;
  height: 3.6rem;
  width: 3.6rem;
  cursor: pointer;
  opacity: 0;
  z-index: 2;
}

.form-checkbox-label {
  grid-column: 2;
  grid-row: 1;
}

.form-checkbox-icon {
  grid-column: 1;
  grid-row: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 2.4rem;
  width: 2.4rem;
  border-radius: 100rem;
  color: var(--white);
  background-color: var(--white);
  padding: 0.6rem;
  z-index: 1;
  transition: all 0.3s ease-in-out;
}

.form-checkbox-input-wrapper
  input[type="checkbox"]:checked
  + .form-checkbox-icon {
  color: var(--black);
}

.form-checkbox-link {
  color: var(--black);
  text-decoration: none;
  font-weight: 700;
}

.form-checkbox-note {
  grid-column: 1 / -1;
  grid-row: 2;
  font-size: 1.2rem;
  font-weight: 700;
}

.form-group-error .form-label,
.form-group-error .form-checkbox-label {
  color: red;
}

.form-input.input-error,
.form-dropdown.input-error,
.form-input-file.input-error {
  box-shadow: inset 0 0 0 0.2rem red;
}

.form-radio-input.input-error {
  box-shadow: inset 0 0 0 0.2rem red;
}

.form-group-error .form-checkbox-icon {
  box-shadow: inset 0 0 0 0.2rem red;
}

.form-message {
  font-weight: 700;
}

.form-message.error {
  color: red;
}

.form-message.success {
  color: green;
}

#event-form-message {
  margin-top: 0.8rem;
}
